---
obj: application
repo: https://github.com/bensadeh/tailspin
---

# tailspin
A log file highlighter

tailspin works by reading through a [log file](../../dev/Log.md) line by line, running a series of regexes against each line. The regexes recognize patterns like dates, numbers, severity keywords and more.

tailspin does not make any assumptions on the format or position of the items it wants to highlight. For this reason, it requires no configuration or setup and will work predictably regardless of the format the [log file](../../dev/Log.md) is in.

![Screenshot](./tailspin.avif)

## Options
| Option         | Description                            | 
| -------------- | -------------------------------------- |
| `-f, --follow` | Follow (tail) the contents of the file |
| `-t, --tail`   | Start at the end of the file           |
